diff --git a/src/gui/res/lang/gui_no.ts b/src/gui/res/lang/gui_no.ts
index 352784ef..96589637 100644
--- a/src/gui/res/lang/gui_no.ts
+++ b/src/gui/res/lang/gui_no.ts
@@ -26,15 +26,7 @@ Synergy is based on CosmoSynergy by Richard Lee and Adam Feder.&lt;br /&gt;
 The Synergy GUI is based on QSynergy by Volker Lanz.&lt;br /&gt;&lt;br /&gt;
 Visit our website for help and info (synergy-project.org).
 &lt;/p&gt;</oldsource>
-        <translation type="finished">&lt;p&gt;
-Tastatur- og musdelingsprogram. Kryssplattform og åpen kildekode.&lt;br /&gt;&lt;br /&gt;
-Copyright © 2012 Synergy Si Ltd.&lt;br /&gt;
-Copyright © 2002-2012 Chris Schoeneman, Nick Bolton, Volker Lanz.&lt;br /&gt;&lt;br /&gt;
-Synergy er frigitt under GNU General Public License (GPLv2).&lt;br /&gt;&lt;br /&gt;
-Synergy er basert på CosmoSynergy av Richard Lee og Adam Feder.&lt;br /&gt;
-Synergys grafiske grensesnitt er basert på QSynergy av Volker Lanz.&lt;br /&gt;&lt;br /&gt;
-Besøk vår nettside for hjelp og informasjon (synergy-project.org).
-&lt;/p&gt;</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="res/AboutDialogBase.ui" line="140"/>
@@ -82,7 +74,7 @@ Besøk vår nettside for hjelp og informasjon (synergy-project.org).
     <message>
         <location filename="res/ActionDialogBase.ui" line="69"/>
         <source>only on these screens</source>
-        <translation type="finished">Bare på disse skjermene</translation>
+        <translation type="finished">kun på disse skjermene</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="119"/>
@@ -92,7 +84,7 @@ Besøk vår nettside for hjelp og informasjon (synergy-project.org).
     <message>
         <location filename="res/ActionDialogBase.ui" line="150"/>
         <source>Switch in direction</source>
-        <translation type="finished">Endring i rettning</translation>
+        <translation type="finished">Bytt i retning</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="174"/>
@@ -142,7 +134,7 @@ Besøk vår nettside for hjelp og informasjon (synergy-project.org).
     <message>
         <location filename="res/ActionDialogBase.ui" line="254"/>
         <source>the hotkey is pressed</source>
-        <translation type="finished">husrtigtasten er trykt</translation>
+        <translation type="finished">hurtigtasten trykkes</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="264"/>
@@ -150,6 +142,24 @@ Besøk vår nettside for hjelp og informasjon (synergy-project.org).
         <translation type="finished">hurtigtasten slippes</translation>
     </message>
 </context>
+<context>
+    <name>AddClientDialog</name>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="20"/>
+        <source>Dialog</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="35"/>
+        <source>TextLabel</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="83"/>
+        <source>Ignore auto connect clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>HotkeyDialogBase</name>
     <message>
@@ -166,169 +176,215 @@ Besøk vår nettside for hjelp og informasjon (synergy-project.org).
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="642"/>
+        <location filename="src/MainWindow.cpp" line="790"/>
         <source>&amp;Start</source>
         <translation type="finished">&amp;Start</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="196"/>
+        <location filename="src/MainWindow.cpp" line="237"/>
         <source>&amp;File</source>
         <translation type="finished">&amp;Fil</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="197"/>
+        <location filename="src/MainWindow.cpp" line="238"/>
         <source>&amp;Edit</source>
         <translation type="finished">&amp;Rediger</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="198"/>
+        <location filename="src/MainWindow.cpp" line="239"/>
         <source>&amp;Window</source>
         <translation type="finished">&amp;Vindu</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="199"/>
+        <location filename="src/MainWindow.cpp" line="240"/>
         <source>&amp;Help</source>
         <translation type="finished">&amp;Hjelp</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="326"/>
-        <source>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</source>
-        <translation type="finished">&lt;p&gt;Versjon %1 er nå tilgjengelig, &lt;a href=&quot;%2&quot;&gt;besøk hjemmeside&lt;/a&gt;.&lt;/p&gt;</translation>
+        <location filename="src/MainWindow.cpp" line="364"/>
+        <source>&lt;p&gt;Your version of Synergy is out of date. Version &lt;b&gt;%1&lt;/b&gt; is now available to &lt;a href=&quot;%2&quot;&gt;download&lt;/a&gt;.&lt;/p&gt;</source>
+        <oldsource>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</oldsource>
+        <translation type="finished">&lt;p&gt;Din Synergy-versjon er utdatert. Versjon &lt;b&gt;%1&lt;/b&gt; er nå tilgjengelig for &lt;a href=&quot;%2&quot;&gt;nedlasting&lt;/a&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>Program can not be started</source>
         <translation type="finished">Programmet kan ikke starte</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>The executable&lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt;could not be successfully started, although it does exist. Please check if you have sufficient permissions to run this program.</source>
         <translation type="finished">Programfilen &lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt; kunne ikke startes riktig, selv om den finnes. Sjekk at du har tilstrekkelige rettigheter til å kjøre dette programmet.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="477"/>
+        <location filename="src/MainWindow.cpp" line="596"/>
         <source>Synergy client not found</source>
         <translation type="finished">Finner ikke Synergy klient</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="478"/>
+        <location filename="src/MainWindow.cpp" line="597"/>
         <source>The executable for the synergy client does not exist.</source>
-        <translation type="finished">Program filen  for Synergy klienten finnes ikke</translation>
+        <translation type="finished">Programfilen for Synergy-klienten finnes ikke</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="485"/>
+        <location filename="src/MainWindow.cpp" line="625"/>
         <source>Hostname is empty</source>
-        <translation type="finished">Host navn er tomt</translation>
+        <translation type="finished">Vertsnavn er tomt</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="486"/>
+        <location filename="src/MainWindow.cpp" line="626"/>
         <source>Please fill in a hostname for the synergy client to connect to.</source>
-        <translation type="finished">Vennligst fyll inn et host navn for synergi klienten.</translation>
+        <translation type="finished">Vennligst fyll inn et vertsnavn for Synergy-klienten å koble til.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>Cannot write configuration file</source>
-        <translation type="finished">Kan ikke skrive konfigurasjons fil</translation>
+        <translation type="finished">Kan ikke skrive konfigurasjonsfil</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>The temporary configuration file required to start synergy can not be written.</source>
-        <translation type="finished">Den midlertidige oppsettsfilen, som er nødvendig for å starte synergy, kan ikke opprettes.</translation>
+        <translation type="finished">Den midlertidige oppsettsfilen, som er nødvendig for å starte Synergy, kan ikke opprettes.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="524"/>
+        <location filename="src/MainWindow.cpp" line="659"/>
         <source>Configuration filename invalid</source>
-        <translation type="finished">Konfigurerings filnavn feil</translation>
+        <translation type="finished">Konfigurasjons-filnavn ugyldig</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="525"/>
+        <location filename="src/MainWindow.cpp" line="660"/>
         <source>You have not filled in a valid configuration file for the synergy server. Do you want to browse for the configuration file now?</source>
         <translation type="finished">Du har ikke lagt inn en gyldig oppsettsfil for synergy-tjeneren. Vil du velge oppsettsfilen nå?</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="552"/>
+        <location filename="src/MainWindow.cpp" line="688"/>
         <source>Synergy server not found</source>
         <translation type="finished">Finner ikke Synergy server</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="553"/>
+        <location filename="src/MainWindow.cpp" line="689"/>
         <source>The executable for the synergy server does not exist.</source>
         <translation type="finished">Programfilen for synergy-tjeneren finnes ikke.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated with an error</source>
         <translation type="finished">Synergy stoppet med en feil</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated unexpectedly with an exit code of %1.&lt;br&gt;&lt;br&gt;Please see the log output for details.</source>
         <translation type="finished">Synergy stoppet uventet med kode %1.&lt;br&gt;&lt;br&gt;Se i loggen for detaljer.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="636"/>
+        <location filename="src/MainWindow.cpp" line="783"/>
         <source>&amp;Stop</source>
         <translation type="finished">&amp;Stopp</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>service mode</source>
-        <translation type="finished">Tjenermodus</translation>
-    </message>
-    <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>desktop mode</source>
-        <translation type="finished">Skrivebordsmodus</translation>
-    </message>
-    <message>
-        <location filename="src/MainWindow.cpp" line="660"/>
-        <source>Synergy is running (%1).</source>
-        <translation type="finished">Synergy kjører (%1)</translation>
-    </message>
-    <message>
-        <location filename="src/MainWindow.cpp" line="821"/>
-        <source>Elevate Synergy</source>
-        <translation type="finished">Hev Synergy</translation>
-    </message>
-    <message>
-        <location filename="src/MainWindow.cpp" line="822"/>
-        <source>Are you sure you want to elevate Synergy?
-
-This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
+        <location filename="src/MainWindow.cpp" line="1038"/>
+        <source>Please add the server (%1) to the grid.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="664"/>
+        <location filename="src/MainWindow.cpp" line="1044"/>
+        <source>Please drag the new client screen (%1) to the desired position on the grid.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1147"/>
+        <source>Failed to detect system architecture.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1165"/>
+        <source>Cancel</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1189"/>
+        <source>Failed to download Bonjour installer to location: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1226"/>
+        <source>Do you want to enable auto config and install Bonjour?
+
+This feature helps you establish the connection.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1270"/>
+        <source>Auto config feature requires Bonjour.
+
+Do you want to install Bonjour?</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="815"/>
         <source>Synergy is starting.</source>
         <translation type="finished">Synergy starter</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="667"/>
+        <location filename="src/MainWindow.cpp" line="809"/>
+        <source>Synergy is running.</source>
+        <translation type="finished">Synergy kjører</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="819"/>
         <source>Synergy is not running.</source>
         <translation type="finished">Synergy kjører ikke</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="724"/>
+        <location filename="src/MainWindow.cpp" line="870"/>
         <source>Unknown</source>
         <translation type="finished">Ukjent</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="762"/>
+        <location filename="src/MainWindow.cpp" line="1146"/>
+        <location filename="src/MainWindow.cpp" line="1225"/>
+        <location filename="src/MainWindow.cpp" line="1269"/>
+        <source>Synergy</source>
+        <translation type="finished">Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="987"/>
         <source>Browse for a synergys config file</source>
         <translation type="finished">Velg en oppsettsfil for synergys.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="775"/>
+        <location filename="src/MainWindow.cpp" line="408"/>
+        <source>Synergy is now connected, You can close the config window. Synergy will remain connected in the background.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="434"/>
+        <source>Security question</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="435"/>
+        <source>Do you trust this fingerprint?
+
+%1
+
+This is a server fingerprint. You should compare this fingerprint to the one on your server's screen. If the two don't match exactly, then it's probably not the server you're expecting (it could be a malicious user).
+
+To automatically trust this fingerprint for future connections, click Yes. To reject this fingerprint and disconnect from the server, click No.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1000"/>
         <source>Save configuration as...</source>
         <translation type="finished">Lagre oppsettet som ...</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Save failed</source>
         <translation type="finished">Kunne ikke lagre</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Could not save configuration to file.</source>
         <translation type="finished">Kunne ikke lagre oppsettsfilen.</translation>
     </message>
@@ -341,158 +397,163 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="finished">Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="54"/>
+        <location filename="res/MainWindowBase.ui" line="90"/>
+        <source>Ser&amp;ver (share this computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="243"/>
         <source>Screen name:</source>
         <translation type="finished">Skjermnavn:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="61"/>
+        <location filename="res/MainWindowBase.ui" line="257"/>
         <source>&amp;Server IP:</source>
         <translation type="finished">&amp;Tjener-IP:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="160"/>
-        <location filename="res/MainWindowBase.ui" line="315"/>
+        <location filename="res/MainWindowBase.ui" line="380"/>
+        <location filename="res/MainWindowBase.ui" line="409"/>
         <source>&amp;Start</source>
         <translation type="finished">&amp;Start</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="187"/>
-        <source>&amp;Server (share this computer's mouse and keyboard):</source>
-        <translation type="finished">&amp;Tjener (del denne maskinens mus og tastatur).</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="254"/>
+        <location filename="res/MainWindowBase.ui" line="181"/>
         <source>Use existing configuration:</source>
         <translation type="finished">Bruk eksisterende oppsett:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="263"/>
+        <location filename="res/MainWindowBase.ui" line="190"/>
         <source>&amp;Configuration file:</source>
         <translation type="finished">&amp;Oppsettsfil:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="283"/>
+        <location filename="res/MainWindowBase.ui" line="210"/>
         <source>&amp;Browse...</source>
         <translation type="finished">&amp;Velg...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="220"/>
+        <location filename="res/MainWindowBase.ui" line="147"/>
         <source>Configure interactively:</source>
         <translation type="finished">Sett opp interaktivt:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="232"/>
+        <location filename="res/MainWindowBase.ui" line="159"/>
         <source>&amp;Configure Server...</source>
         <translation type="finished">&amp;Sett opp tjener...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="39"/>
-        <source>&amp;Client (use another computer's keyboard and mouse):</source>
-        <translation type="finished">&amp;Klient (bruk en annen maskins mus og tastatur):</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="84"/>
+        <location filename="res/MainWindowBase.ui" line="350"/>
         <source>Ready</source>
         <translation type="finished">Klar</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="91"/>
+        <location filename="res/MainWindowBase.ui" line="296"/>
         <source>Log</source>
         <translation type="finished">Logg</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="167"/>
+        <location filename="res/MainWindowBase.ui" line="373"/>
         <source>&amp;Apply</source>
         <translation type="finished">&amp;Bruk</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="174"/>
-        <source>&amp;Elevate</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="204"/>
+        <location filename="res/MainWindowBase.ui" line="107"/>
         <source>IP addresses:</source>
         <translation type="finished">IP-adresser:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="296"/>
+        <location filename="res/MainWindowBase.ui" line="131"/>
+        <source>Fingerprint:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="228"/>
+        <source>&amp;Client (use another computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="270"/>
+        <source>Auto config</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="390"/>
         <source>&amp;About Synergy...</source>
         <translation type="finished">&amp;Om Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="304"/>
+        <location filename="res/MainWindowBase.ui" line="398"/>
         <source>&amp;Quit</source>
         <translation type="finished">&amp;Avslutt</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="307"/>
+        <location filename="res/MainWindowBase.ui" line="401"/>
         <source>Quit</source>
         <translation type="finished">Avslutt</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="318"/>
+        <location filename="res/MainWindowBase.ui" line="412"/>
         <source>Run</source>
         <translation type="finished">Kjør</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="329"/>
+        <location filename="res/MainWindowBase.ui" line="423"/>
         <source>S&amp;top</source>
         <translation type="finished">S&amp;topp</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="332"/>
+        <location filename="res/MainWindowBase.ui" line="426"/>
         <source>Stop</source>
         <translation type="finished">Stopp</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="340"/>
+        <location filename="res/MainWindowBase.ui" line="434"/>
         <source>S&amp;how Status</source>
         <translation type="finished">&amp;Vis Status</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="348"/>
+        <location filename="res/MainWindowBase.ui" line="442"/>
         <source>&amp;Hide</source>
         <translation type="finished">&amp;Skjul</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="351"/>
+        <location filename="res/MainWindowBase.ui" line="445"/>
         <source>Hide</source>
         <translation type="finished">Skjul</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="359"/>
+        <location filename="res/MainWindowBase.ui" line="453"/>
         <source>&amp;Show</source>
         <translation type="finished">&amp;Vis</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="362"/>
+        <location filename="res/MainWindowBase.ui" line="456"/>
         <source>Show</source>
         <translation type="finished">Vis</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="370"/>
+        <location filename="res/MainWindowBase.ui" line="464"/>
         <source>Save configuration &amp;as...</source>
         <translation type="finished">L&amp;agre oppsettet som ...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="373"/>
+        <location filename="res/MainWindowBase.ui" line="467"/>
         <source>Save the interactively generated server configuration to a file.</source>
         <translation type="finished">Lagre det interaktivt opprettede tjener-oppsettet til en fil.</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="381"/>
+        <location filename="res/MainWindowBase.ui" line="475"/>
         <source>Settings</source>
         <translation type="finished">Innstillinger</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="384"/>
+        <location filename="res/MainWindowBase.ui" line="478"/>
         <source>Edit settings</source>
         <translation type="finished">Endre innstillinger</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="392"/>
+        <location filename="res/MainWindowBase.ui" line="486"/>
         <source>Run Wizard</source>
         <translation type="finished">Kjør Veiledning</translation>
     </message>
@@ -505,20 +566,98 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="finished">Uten navn</translation>
     </message>
 </context>
+<context>
+    <name>PluginManager</name>
+    <message>
+        <location filename="src/PluginManager.cpp" line="58"/>
+        <source>Failed to get plugin directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="63"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="136"/>
+        <source>Failed to download plugin '%1' to: %2
+%3</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="167"/>
+        <source>Could not get Windows architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="191"/>
+        <source>Could not get Linux architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>PluginWizardPage</name>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="14"/>
+        <source>Setup Synergy</source>
+        <translation type="finished">Konfigurer Synergy</translation>
+    </message>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="101"/>
+        <source>Please wait...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="72"/>
+        <source>Error: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="80"/>
+        <location filename="src/PluginWizardPage.cpp" line="201"/>
+        <source>Setup complete.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="93"/>
+        <source>Downloading '%1' plugin (%2/%3)...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="104"/>
+        <source>Plugins installed successfully.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="120"/>
+        <source>Generating SSL certificate...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="170"/>
+        <source>Downloading plugin: %1 (1/%2)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="239"/>
+        <source>Getting plugin list...</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="45"/>
+        <location filename="src/MainWindow.cpp" line="60"/>
         <source>Synergy Configurations (*.sgc);;All files (*.*)</source>
         <translation type="finished">Synergy-oppsett (*.sgc);;Alle filer (*.*)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="48"/>
+        <location filename="src/MainWindow.cpp" line="67"/>
         <source>Synergy Configurations (*.conf);;All files (*.*)</source>
         <translation type="finished">Synergy-oppsett (*.conf);;Alle filer (*.*)</translation>
     </message>
     <message>
-        <location filename="src/main.cpp" line="90"/>
+        <location filename="src/main.cpp" line="119"/>
         <source>System tray is unavailable, quitting.</source>
         <translation type="finished">Systemstatusfeltet er utilgjengelig - avslutter.</translation>
     </message>
